stages:
  - test
  - audit

# Definition of the test build job...

audit:
  image: python:3.6
  stage: audit
  script:
    - pip install poetry
    - poetry install
    - make audit
  coverage: '/^TOTAL.+?(\d+\%)$/'
  tags:
    - docker
  artifacts:
    expose_as: "Coverage Report"
    paths: ["build/htmlcov/"]